#!/usr/dist/bin/wishx -f

#
# clock.tcl
# Copyright (C) 1995-1997 by John Heidemann
# This program is released under the Gnu Public License, version 2.
# Comments to <johnh@isi.edu>.
#

proc clock_update {} {
	global rdb monitor_module
	if {$monitor_module(clock)} {
		set seconds [clock seconds]
		if { $rdb(clock.format) == "" } {
			set day [string trimleft [clock format $seconds -format %d] 0]
			set hour [string trimleft [clock format $seconds -format %I] 0]
			set tm [string trimleft [clock format $seconds -format "$hour:%M %a %b $day"] "0"]
		} else {
			set tm [clock format $seconds -format $rdb(clock.format)]
			regsub -all -- { 0} $tm { } tm
		}
		.clock config -text $tm
		after 59000 clock_update
	}
}

proc clock_start {} {
	global rdb
	set_rdb_default clock.format ""
	set_rdb_default clock.row 1
	mk_rows $rdb(clock.row)
	label .clock -text "clock" -font $rdb(font) -fg $rdb(fg) -bg $rdb(bg)
	pack .clock -side $rdb(side) -in ".row$rdb(clock.row)"
	clock_update
}

proc clock_stop {} {
	destroy .clock
}
