#!/usr/dist/bin/wishx -f

#
# network.tcl
# Copyright (C) 1995 by John Heidemann
# This program is released under the Gnu Public License, version 2.
# Comments to <johnh@isi.edu>.
#

proc network_config {} {
	set f [open "/proc/net/route" r]
	set tm "net"
	while {[gets $f l] >= 0} {
		if [string match "eth*" $l] {
			set tm "eth"
		}
		if [string match "ppp*" $l] {
			set tm "ppp"
		}
	}
	close $f
	.network config -text $tm
}

proc network_update {} {
	global monitor_module
	if {$monitor_module(network)} {
		network_config
		# almost every two minutes
		after 119000 network_update
	}
}

proc network_command {prog} {
#	system $prog
	set f [open "|$prog" r]
#	while {[gets $f l] >= 0} {
#		puts $l
#	}
	# ignore return code
	catch {close $f}

	network_config
}

proc network_start {} {
	global rdb
	set_rdb_default network.row 1
	mk_rows $rdb(network.row)
	menubutton .network -text "network" -font $rdb(font) -fg $rdb(fg) -bg $rdb(bg) -menu .network.m
	menu .network.m
	foreach i {ppp_on ppp_off} {
		.network.m add command -label $i -command "network_command $i"
	}
	.network.m add command -label "ping ashby" -command "network_command {ping ashby -c 1}"
	pack .network -side $rdb(side) -in ".row$rdb(network.row)"
	network_update
}

proc network_stop {} {
	destroy .network
}

